| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
InterfaceData Struct Reference

Data container holding shared data for reaction rate specification with interfaces. More...

`#include <InterfaceRate.h>`

Inheritance diagram for InterfaceData:
[legend]

## Detailed Description

Data container holding shared data for reaction rate specification with interfaces.

The data container InterfaceData holds precalculated data common to InterfaceRate and StickingRate objects.

The data container inherits from BlowersMaselData, where density is used to hold the site density [kmol/m^2].

Definition at line 29 of file InterfaceRate.h.

## Public Member Functions
bool | update (const ThermoPhase &bulk, const Kinetics &kin) override
| Update data container based on thermodynamic phase state.
void | update (double T) override
| Update data container based on temperature T
void | update (double T, const vector< double > &values) override
| Update data container based on temperature T and a vector parameter extra
virtual void | perturbTemperature (double deltaT)
void | resize (size_t nSpecies, size_t nReactions, size_t nPhases) override
| Update number of species, reactions and phases.
void | update (double T) override
| Update data container based on temperature T
bool | update (const ThermoPhase &phase, const Kinetics &kin) override
| Update data container based on thermodynamic phase state.
virtual void | update (double T)
| Update data container based on temperature T
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter.
virtual void | update (double T, const vector< double > &extra)
| Update data container based on temperature T and a vector parameter extra
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state.
Public Member Functions inherited from ReactionData
void | perturbTemperature (double deltaT)
| Perturb temperature of data container.
virtual void | restore ()
| Restore data container after a perturbation.
virtual void | invalidateCache ()
| Force shared data and reaction rates to be updated next time.

## Public Attributes
double | sqrtT = NAN
| square root of temperature
vector< double > | coverages
| surface coverages
vector< double > | logCoverages
| logarithm of surface coverages
vector< double > | electricPotentials
| electric potentials of phases
vector< double > | standardChemPotentials
| standard state chemical potentials
vector< double > | standardConcentrations
| standard state concentrations
Public Attributes inherited from BlowersMaselData
bool | ready = false
| boolean indicating whether vectors are accessible
double | density = NAN
| used to determine if updates are needed
vector< double > | partialMolarEnthalpies
| partial molar enthalpies
Public Attributes inherited from ReactionData
double | temperature = 1.0
| temperature
double | logT = 0.0
| logarithm of temperature
double | recipT = 1.0
| inverse of temperature

## Additional Inherited Members
Protected Attributes inherited from BlowersMaselData
int | m_state_mf_number = -1
| integer that is incremented when composition changes
Protected Attributes inherited from ReactionData
double | m_temperature_buf = -1.0
| buffered temperature

## Member Function Documentation

## ◆ update() [1/9]

bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| override virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Reimplemented from BlowersMaselData.

Definition at line 44 of file InterfaceRate.cpp.

## ◆ update() [2/9]

void update | ( | double | T | ) |
| override virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from BlowersMaselData.

Definition at line 17 of file InterfaceRate.cpp.

## ◆ update() [3/9]

void update | ( | double | T,
|  | const vector< double > & | extra
| ) |  |
| override virtual

Update data container based on temperature T and a vector parameter extra

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Warning
  This method is an experimental part of the Cantera API and may be changed or removed without notice.

Reimplemented from BlowersMaselData.

Definition at line 23 of file InterfaceRate.cpp.

## ◆ perturbTemperature()

void perturbTemperature | ( | double | deltaT | ) |
| virtual

Definition at line 88 of file InterfaceRate.cpp.

## ◆ resize()

void resize | ( | size_t | nSpecies,
|  | size_t | nReactions,
|  | size_t | nPhases
| ) |  |
| inline override virtual

Update number of species, reactions and phases.

Reimplemented from BlowersMaselData.

Definition at line 43 of file InterfaceRate.h.

## ◆ update() [4/9]

void update | ( | double | T | ) |
| override virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from BlowersMaselData.

Definition at line 23 of file BlowersMaselRate.cpp.

## ◆ update() [5/9]

bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| override virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Reimplemented from BlowersMaselData.

Definition at line 24 of file BlowersMaselRate.cpp.

## ◆ update() [6/9]

virtual void update | ( | double | T | ) |
| inline virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from BlowersMaselData.

Definition at line 25 of file ReactionData.h.

## ◆ update() [7/9]

virtual void update | ( | double | T,
|  | double | extra
| ) |  |
| inline virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from BlowersMaselData.

Definition at line 25 of file ReactionData.h.

## ◆ update() [8/9]

virtual void update | ( | double | T,
|  | const vector< double > & | extra
| ) |  |
| inline virtual

Update data container based on temperature T and a vector parameter extra

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Warning
  This method is an experimental part of the Cantera API and may be changed or removed without notice.

Reimplemented from BlowersMaselData.

Definition at line 25 of file ReactionData.h.

## ◆ update() [9/9]

virtual bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Reimplemented from BlowersMaselData.

## Member Data Documentation

## ◆ sqrtT

double sqrtT = NAN

square root of temperature

Definition at line 53 of file InterfaceRate.h.

## ◆ coverages

vector<double> coverages

surface coverages

Definition at line 55 of file InterfaceRate.h.

## ◆ logCoverages

vector<double> logCoverages

logarithm of surface coverages

Definition at line 56 of file InterfaceRate.h.

## ◆ electricPotentials

vector<double> electricPotentials

electric potentials of phases

Definition at line 57 of file InterfaceRate.h.

## ◆ standardChemPotentials

vector<double> standardChemPotentials

standard state chemical potentials

Definition at line 58 of file InterfaceRate.h.

## ◆ standardConcentrations

vector<double> standardConcentrations

standard state concentrations

Definition at line 59 of file InterfaceRate.h.

The documentation for this struct was generated from the following files:

- InterfaceRate.h
- InterfaceRate.cpp